Subject: RE: [Simple] [Fwd: Re: NETCONF WG meeting minutes for IETF #57]

From: [email-masked]
Date: Tue, 2 Sep 2003 18:46:02 +0300

Hi, 

See inline:

> -----Original Message-----
> From: ext Graham Klyne [mailto:[email-masked]]
> Sent: 01 September, 2003 17:40
> To: Khartabil Hisham (NMP/Helsinki); [email-masked];
> [email-masked]
> Subject: RE: [Simple] [Fwd: Re: NETCONF WG meeting minutes 
> for IETF #57]
> 
> 
> At 12:17 01/09/03 +0300, [email-masked] wrote:
> >I don't buy it. Why would you define an XML schema who's 
> syntax does not 
> >match the semantics?
> 
> However you define an XML schema, you're still constrained to 
> use XML's 
> underlying annotated-tree syntax.  It is possible to encode different 
> (non-tree) data models using this syntax, but the standard 
> XML tools may 
> not be so useful in these cases.
> 
> If your application data fits this model, then fine.
> 

The concrete problem that SIMPLE WG is trying to solve is related to presence information. As far as I've seen, nobody has had any issues why XML would not be good enough for that. For this reason I would conclude that the problems related to XPath are not relevant to the problem at hand.

Markus 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple